/***************************************************************************
 **
 **  Copyright (C) 2018-2023 wangjianjun <wangjianjun1018@qq.com>
 **  Contact: https://blog.csdn.net/wocanimei007?type=blog
 **
 **
****************************************************************************/
#ifndef FANCYQUICKACCESSBAR_H
#define FANCYQUICKACCESSBAR_H

#include <QToolBar>
#include <QMenu>
#include "frameless_global.h"



class FancyQuickAccessBarPrivate;
class FRAMELESS_SHARED_EXPORT FancyQuickAccessBar : public QToolBar
{
    Q_OBJECT
public:
    explicit FancyQuickAccessBar(QWidget *parent = nullptr);

public:
    QAction* actionCustomizeButton() const;
    void setActionVisible(QAction* action, bool visible);
    bool isActionVisible(QAction* action) const;
    int visibleCount() const;

    void setHoverColor(const QColor &color);
    void setPressColor(const QColor &color);
    void setTextColor(const QColor &color);

protected:
    virtual void actionEvent(QActionEvent*);

private:
    FancyQuickAccessBarPrivate *d;
};



#endif // FANCYQUICKACCESSBAR_H
